qt assumes /usr/X11R6

Kris Kennaway kris at obsecurity.org
Sat May 5 16:36:50 UTC 2007


qt needs to be patched to look in ${LOCALBASE} for the X libraries
instead of assuming they are in /usr/X11R6.  Can someone look at this
ASAP?

Kris

===>  Patching for qt-3.3.8_3
===>  Applying FreeBSD patches for qt-3.3.8_3
===>   qt-3.3.8_3 depends on executable in : qmake - found
===>   qt-3.3.8_3 depends on shared library: mng - found
===>   qt-3.3.8_3 depends on shared library: png - found
===>   qt-3.3.8_3 depends on shared library: jpeg - found
===>   qt-3.3.8_3 depends on shared library: Xft.2 - found
===>   qt-3.3.8_3 depends on shared library: GLU.1 - found
===>   qt-3.3.8_3 depends on shared library: X11.6 - found
===>  Configuring for qt-3.3.8_3
Precompiled-headers support  enabled.
IBASE auto-detection...
  Could not find libgds.* anywhere in /lib /usr/lib
IBASE disabled.
MySQL auto-detection...
  Could not find libmysqlclient.* anywhere in /lib /usr/lib
MySQL disabled.
ODBC auto-detection...
  Could not find libodbc.* anywhere in /lib /usr/lib
ODBC disabled.
PostgreSQL auto-detection...
  Could not find libpq.* anywhere in /lib /usr/lib
PostgreSQL disabled.
CUPS auto-detection... ()
CUPS disabled.
OpenGL auto-detection... ()
  Could not find GLU lib anywhere in  /usr/X11R6/lib /usr/X11R6/lib /usr/shlib /usr/lib /lib
OpenGL disabled.
Xcursor auto-detection... ()
  Could not find Xcursor lib anywhere in  /usr/X11R6/lib /usr/shlib /usr/lib /lib
Xcursor disabled.
XRandR auto-detection... ()
  Could not find XRandR lib anywhere in  /usr/X11R6/lib /usr/shlib /usr/lib /lib
XRandR disabled.
XRender auto-detection... ()
  Could not find XRender lib anywhere in  /usr/X11R6/lib /usr/shlib /usr/lib /lib
XRender disabled.
XShape auto-detection... ()
  Could not find X11/extensions/shape.h anywhere in  /usr/X11R6/include /usr/include /include
XShape disabled.
Xinerama auto-detection... ()
  Could not find Xinerama lib anywhere in  /usr/X11R6/lib /usr/shlib /usr/lib /lib
Xinerama disabled.
Xinerama support cannot be enabled due to functionality tests!
 Turn on verbose messaging (-v) to ./configure to see the final report.
 If you believe this message is in error you may use the continue
 switch (-continue) to ./configure to continue.
===>  Script "configure" failed unexpectedly.
Please report the problem to kde at FreeBSD.org [maintainer] and attach the
"/mnt/wrkdir//mnt/xorg/x11-toolkits/qt33/work/qt-x11-free-3.3.8/config.log"
including the output of the failure of your make command. Also, it might be
a good idea to provide an overview of all packages installed on your system
(e.g. an `ls /var/db/pkg`).
*** Error code 1

Stop in /mnt/xorg/x11-toolkits/qt33.
*** Error code 1
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 187 bytes
Desc: not available
Url : http://lists.freebsd.org/pipermail/freebsd-x11/attachments/20070505/416300dc/attachment.pgp


More information about the freebsd-x11 mailing list